Skip to main content
POST
/
commerce
/
inventory
/
v5
/
inventory
Error
A valid request URL is required to generate request examples
[
  {
    "allocated": 123,
    "attributes": [
      "<string>"
    ],
    "available": 123,
    "blockAssignment": true,
    "countryCode": "<string>",
    "directShip": true,
    "distance": 123,
    "externalID": "<string>",
    "floor": 123,
    "futureInventory": [
      {
        "allocated": 123,
        "available": 123,
        "createDate": "2023-11-07T05:31:56Z",
        "deliveryDate": "2023-11-07T05:31:56Z",
        "futureInventoryID": 123,
        "onhand": 123,
        "pending": 123,
        "type": "<string>"
      }
    ],
    "inventoryLocatorName": "<string>",
    "locationCode": "<string>",
    "locationName": "<string>",
    "ltd": 123,
    "messages": [
      "<string>"
    ],
    "numResults": 123,
    "onHand": 123,
    "partNumber": "<string>",
    "pending": 123,
    "pickup": true,
    "safetyStock": 123,
    "sku": "<string>",
    "success": true,
    "taggedInventory": [
      {
        "allocated": 123,
        "available": 123,
        "futureInventory": [
          {
            "allocated": 123,
            "available": 123,
            "createDate": "2023-11-07T05:31:56Z",
            "deliveryDate": "2023-11-07T05:31:56Z",
            "futureInventoryID": 123,
            "onhand": 123,
            "pending": 123,
            "type": "<string>"
          }
        ],
        "onHand": 123,
        "pending": 123,
        "tags": {}
      }
    ],
    "tenantID": 123,
    "transferEnabled": true,
    "upc": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

x-vol-site
integer

Site ID

Body

application/json

Request to get inventory

Request for getting Inventory

deliveryDateAfter
string<date-time>

DateTime to filter for only future inventory with a delivery date after or equal to the given date

deliveryDateBefore
string<date-time>

DateTime to filter for only future inventory with a delivery date before or equal to the given date

directShip
boolean

Whether to limit results to locations that are shipping enabled

excludeBlockedAssignment
boolean

Filter out results that are blocked from assignment (at the product/location level)

forceDefaultsForUnspecifiedTagCategories
boolean

Whether to force populate default tags onto the request if they are unspecified for any tag category

ignoreSafetyStock
boolean

Whether to ignore the safety stock buffer put in place

includeAttributes
boolean

Flag to include attributes or not

includeFutureInventory
boolean

If set to true, include future inventory in response (records that were set with a deliveryDate).

includeInAggregateExport
boolean

Filter results by locations that have aggregate export enabled (true) or don't (false)

includeInLocationExport
boolean

Filter results by locations that have physical storefronts (true) or don't (false)

includeNegativeFutureInventory
boolean

Whether to allow items with negative future inventory in the results

includeNegativeInventory
boolean

Whether to allow items with negative inventory in the results

items
Item Quantity · object[]

List of Items to search on

limit
integer

The maximum number of results to return, defaults to 100 for most

locationBlacklist
string[]

List of location codes that are NOT allowed to be included in results

locationCode
string

Location Code

locationPriorityList
string[]

List of location codes that should be returned before all others, preventing them from being excluded by limit

locationWhitelist
string[]

List of location codes that are allowed to be included in results

pageNum
integer

which page to show

pageSize
integer

how many results to show per page

pickup
boolean

Filter results by locations that have finderbot enabled (true) or don't (false)

requestLocation
Request Location · object

Request Location

sortBy
string

index to sort results by

sortByEnum
enum<string>

What to sort the inventory results by. Only used for GetInventoryByLocation calls (locationCode must be set)

Available options:
ON_HAND,
AVAILABLE,
ALLOCATED,
PART_NUMBER,
PRODUCT_ID
sortDescending
boolean

Whether to sort by descending order or not. Must be used in conjunction with the sortByEnum value

tags
object

Associative Map of <String, String> for tagCategoryName => tagName

transferEnabled
boolean

Filter results by locations that have transfer enabled (true) or don't (false)

type
enum<string>

Inventory Request Type Enum

Available options:
ALL,
PARTIAL,
ANY,
ALL_STORES
userID
integer

user id

Response

Success

allocated
integer

The quantity the location has that are already allocated.

attributes
string[]

List of Inventory Attributes

available
integer

The quantity the location has that are available for purchase

blockAssignment
boolean

Whether or not the product is blocked for assignment

countryCode
string

The country code of this location

directShip
boolean

Whether this location can ship to a consumer

distance
number

The distance in miles from this location to the item's destination

externalID
string

External ID of the item

floor
integer

Absolute minimum quantity of this item that should be in stock at any time

futureInventory
Future Inventory · object[]
inventoryLocatorName
string

The inventory locator name of the individual item

locationCode
string

Location Code

locationName
string

Location Name

ltd
number

Custom field used for store prioritization

messages
string[]

List of messages

numResults
integer

Number of results

onHand
integer

The quantity the location has in its possession

partNumber
string

Part/Product Number

pending
integer

The quantity the location has that are pending.

pickup
boolean

Whether a consumer can pick up product at this location (store)

safetyStock
integer

Quantity of this item the location wants to keep in stock to ensure stock isn't completely depleted

sku
string

Stock Keeping Unit

success
boolean

Flag for success

taggedInventory
Tag quantity response · object[]
tenantID
integer

Tenant Identifier

transferEnabled
boolean

Whether the location can ship to another location (store), thus restocking that location.

upc
string

Universal Product Code